# DescribePurgeTimes

## 1. API Description

This interface is used to query the remaining number of refresh/prefetch operations available per day.

## 2. Output Parameters Result

| Parameter Name         | Type    | Description                                                                                 |
| ---------------------- | ------- | ------------------------------------------------------------------------------------------- |
| requestId              | String  | Unique request ID, returned with each request. Provide this requestId when locating issues. |
| maxUrlPurgeTimes       | Integer | Maximum number of file refresh operations.                                                  |
| remainingUrlPurgeTimes | Integer | Remaining number of file refresh operations.                                                |
| maxDirPurgeTimes       | Integer | Maximum number of directory refresh operations.                                             |
| remainingDirPurgeTimes | Integer | Remaining number of directory refresh operations.                                           |
| maxPrefetchTimes       | Integer | Maximum number of prefetch operations.                                                      |
| remainingPrefetchTimes | Integer | Remaining number of prefetch operations.                                                    |

## 3. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query Remaining Refresh/Prefetch Times per Day**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DescribePurgeTimes
<Common Request Params>

Request:
{
  "taskId": "taskId-xxxxxxx"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "maxUrlPurgeTimes": 1000,
    "remainingUrlPurgeTimes": 500,
    "maxDirPurgeTimes": 100,
    "remainingDirPurgeTimes": 20,
    "maxPrefetchTimes": 1000,
    "remainingPrefetchTimes": 600
  }
}
```

{% endtab %}
{% endtabs %}

## 4. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/cdn/purge/describepurgetimes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
